package com.unipi.talepis.abp23;

import android.content.Intent;
import android.os.CountDownTimer;
import android.os.SystemClock;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.ProgressBar;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {
    TextView textView;
    static ProgressBar progressBar;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        textView = findViewById(R.id.textView);
        progressBar = findViewById(R.id.progressBar);
        Intent intent = new Intent(this,MyService.class);
        startService(intent);
    }

    public void go3(View view){
        MyAsync myAsync = new MyAsync(this);
        myAsync.execute();
    }

    public void go2(View view){
        new CountDownTimer(30000,2000){
            int counter;
            @Override
            public void onTick(long millisUntilFinished) {
                counter++;
                textView.setText(String.valueOf(counter));
            }

            @Override
            public void onFinish() {
                textView.setText("Timer finished. Time for break!");
            }
        }.start();
    }
    public void go(View view){
        Thread t = new Thread(new Runnable() {
            @Override
            public void run() {
                try {
                    Thread.sleep(6000);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
                runOnUiThread(()->{textView.setText("Job done!");});
                //dosomething();
            }
        });
        t.start();

        new Thread(new Runnable() {
            @Override
            public void run() {
                try {
                    t.join();
                    //do something else here after waiting for t thread
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            }
        }).start();

        /*try {
            Thread.sleep(6000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }*/
        /*SystemClock.sleep(1000);*/
    }
    public void dosomething(){
        new Thread(()->{
            try {
                Thread.sleep(3000);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
            runOnUiThread(()->textView.setText("2nd job done!"));
        }).start();
    }

}